=== core/CMakeLists.txt ===
kde_enable_exceptions()

set(CORE_SRCS
    searchstore.cpp
    term.cpp
    query.cpp
    resultiterator.cpp
)

add_library(KF5AkonadiSearchCore ${CORE_SRCS})
add_library(KF5::AkonadiSearchCore ALIAS KF5AkonadiSearchCore)

target_link_libraries(KF5AkonadiSearchCore
    PUBLIC
    Qt5::Core
)

set_target_properties(KF5AkonadiSearchCore PROPERTIES
    VERSION ${AKONADISEARCH_VERSION_STRING}
    SOVERSION ${AKONADISEARCH_SOVERSION}
    EXPORT_NAME AkonadiSearchCore
)
target_include_directories(KF5AkonadiSearchCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AkonadiSearch>")

generate_export_header(KF5AkonadiSearchCore BASE_NAME AKONADI_SEARCH_CORE EXPORT_FILE_NAME search_core_export.h)

install(TARGETS KF5AkonadiSearchCore EXPORT KF5AkonadiSearchTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
