=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               libboost-dev,
               libkf5akonadi-dev,
               libkf5akonadimime-dev,
               libkf5akonadiserver-dev,
               libkf5calendarcore-dev,
               libkf5config-dev,
               libkf5contacts-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5mime-dev,
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/akoandi-search
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akoandi-search.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akoandi-search.git

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev,
         libkf5akonadimime-dev,
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadiserver-dev,
         libkf5calendarcore-dev,
         libkf5contacts-dev,
         libkf5coreaddons-dev,
         libkf5mime-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearch-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearchcore5 (= ${binary:Version}) | libkf5akonadisearchxapian5 (= ${binary:Version}) | libkf5akonadisearchpim5 (= ${binary:Version}),
         ${misc:Depends}
Description: Akonadi search library - debug symbols
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the debug symbols.
