## akonadi-search 15.12.3

=== debian/changelog ===
akonadi-search (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:45:13 -0700

akonadi-search (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Add missing dependency to krunner. 
  * Add new package for AkonadiSearchDebug
  * Add new files for above and krunner features. 
  * Add new symbols for akonadisearchdebug 
  * Add missing new files. 
  * Redo symbols file with pkgkde-symbolshelper. 
  * Loosen up the so version wildcard to fix install searchdebug.

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Require libkf5akonadi-dev >= 15.12 
  * Merge with debian git master
  * Refresh symbols

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. ( New merge to grab new changes ) 
  * Remove duplication of searchdebug 
  * Remove duplicate desktop files from the -bin package, they already 
    reside in -data. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:20:20 +0100

akonadi-search (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1). (Closes: #814378)
  * Update symbols files.
  * Fix typos in Vcs-* fields. (Closes: #814201) Thanks to Zhang
    Jingqiang
  * Bump build dependencies to match packages versions, and not
    libraries versions.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:55 +0100

akonadi-search (15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:37 +0100

akonadi-search (15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:13 +0200

akonadi-search (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:31 +0200

akonadi-search (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.
  * New patch: disable_failing_tests

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 21:14:21 +0200
