=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5akonadimime-dev (>= 4:15.12~),
               libkf5akonadiserver-dev (>= 15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5config-dev (>= 5.16.0~),
               libkf5contacts-dev (>= 15.12~),
               libkf5crash-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5kcmutils-dev (>= 5.16.0~),
               libkf5mime-dev (>= 15.12~),
               libkf5runner-dev (>= 5.16.0~),
               libxapian-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi-search.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi-search.git

Package: libkf5akonadisearch-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev,
         libkf5akonadimime-dev (>= 4.87.0~),
         libkf5akonadisearchcore5 (= ${binary:Version}),
         libkf5akonadisearchdebug5 (= ${binary:Version}),
         libkf5akonadisearchpim5 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= 5.0.51~),
         libkf5calendarcore-dev (>= 4.81.0~),
         libkf5contacts-dev (>= 4.87.0~),
         libkf5coreaddons-dev,
         libkf5mime-dev (>= 4.85.0~),
         qtbase5-dev (>= 5.2.0~),
         ${misc:Depends}
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkf5akonadisearch-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime binaries
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime binaries.

Package: libkf5akonadisearch-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - runtime plugins
 Library used to search in the Akonadi PIM data server.
 .
 This package contains runtime plugins.

Package: libkf5akonadisearch-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: libkf5akonadisearchpim5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search library
 Library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchxapian5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search xapian library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchdebug5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi search debug library
 Internal library used to search in the Akonadi PIM data server.

Package: libkf5akonadisearchcore5
Architecture: any
Multi-Arch: same
Depends: libkf5akonadisearch-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5akonadisearch-bin,
            libkf5akonadisearch-plugins (= ${binary:Version})
Description: Akonadi search core library
 Internal library used to search in the Akonadi PIM data server.
