=== debian/changelog ===
akonadi-search (16.04.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (16.04.2-2).
  * Update build-deps and deps with the info from cmake

  [ Sandro Knauß ]
  * Added fix for Xapian 1.4 (Closes: #839990)
    fix_for_xapian_1.4.patch
    (got from upstream)
  * Add myself to Uploades.

 -- Sandro Knauß <hefee@debian.org>  Mon, 10 Oct 2016 19:38:04 +0200

akonadi-search (16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:51:17 +0200

akonadi-search (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 08:29:58 +0200

akonadi-search (16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add missing build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 17:32:24 +0200
